/* Elvira Bluetooth FTP 
 * Copyright (C) 2007  Alberto Salas Bragado
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef FAVORITES_H_
#define FAVORITES_H_

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "../adaptation/types.h"

#define FILE_FAVORITES "res/favorites"

#define COP_FF_OPENW -1
#define COP_FF_OPENR -2
#define COP_FF_WRITE -3

int writeFavorites(device_t *favorites, int numfavorites);
int loadFavorites(device_t **favorites, int *numfavorites);

#endif /*FAVORITES_H_*/
